Summary:      MP3 audio player with theme user interface and streaming support
Name:         zinf
Version:      2.2.3
Release:      2mdk
License:      GPL
Group:        Sound
Url:          http://www.zinf.org
Source:       %name-%version.tar.bz2
BuildRoot:    %_tmppath/%name-buildroot
BuildRequires: libmusicbrainz1-devel freetype-devel libid3lib-devel 
Buildrequires: libalsa2-devel libvorbis-devel
BuildRequires: zlib-devel
Provides: freeamp
Obsoletes: freeamp

%description
Zinf is an extensible, cross-platform audio player. It features an
optimized version of the GPLed Xing MPEG decoder which makes it one of the
fastest and best sounding players available. Zinf provides a number of the
most common features users have come to expect in a clean, easy to use
interface.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
chmod 644 AUTHORS CHANGES COPYING INSTALL NEWS README README.linux

%build
%configure2_5x \
%ifarch %{ix86}
	--enable-cmdline
%else
	--disable-x86opts
%endif
%make

%install
PATH=$PATH:/sbin:/usr/sbin ; export PATH
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_infodir}
mkdir -p $RPM_BUILD_ROOT/{%_datadir/zinf/{help,themes},%_libdir/zinf/plugins}
install -m 755 zinf $RPM_BUILD_ROOT/%_bindir
install themes/* $RPM_BUILD_ROOT%_datadir/zinf/themes/
#install -s plugins/* $RPM_BUILD_ROOT%{prefix}/lib/zinf/plugins
for file in plugins/*.*; do
    enable=f
    case "$file" in
      */alsa*.pmo)
         if ldconfig -p | grep 'libasound\.so' > /dev/null; then
            enable=t
         else
            enable=f
         fi
      ;;
      */esound*.pmo)
         if ldconfig -p | grep 'libesd\.so' > /dev/null; then
            enable=t
         else
            enable=f
         fi
      ;;
      */ncurses*.ui)
         if ldconfig -p | grep 'libncurses\.so' > /dev/null; then
            enable=t
         else
            enable=f
         fi
      ;;
      *)
      enable=t
      ;;
    esac
    if [ "$enable" = t ]; then
        install -s $file $RPM_BUILD_ROOT%_libdir/zinf/plugins
    fi
done  

#tar xfz -C $RPM_BUILD_ROOT%_datadir/zinf/ $RPM_BUILD_DIR/%name/help/unix/zinfhelp.tar.gz
 
(cd $RPM_BUILD_ROOT
mkdir -p usr/lib/menu
cat > usr/lib/menu/%name <<EOF
?package(%name):\
command="%name"\
title="Zinf"\
longtitle="Audio player"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"
EOF
) 
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING INSTALL NEWS README README.linux
%_bindir/*
%_libdir/%name 
%_datadir/%name
%_libdir/menu/*

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.3-2mdk
- fix buildrequires

* Tue Feb 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.3-1mdk
- fix doc permissions
- enable alsa
- drop patch
- new version

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.1-1mdk
- new release

* Mon Nov 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-8mdk
- rebuild wiht new id3lib

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-7mdk
- rebuild with new id3lib

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-6mdk
- patch 0 : dynamilcally link with id3lib rather than statically

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-5mdk
- gcc 3.2-0.3mdk build

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-4mdk
- gcc 3.2 build

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-3mdk
- automatic dependancies

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-2mdk
- rebuilf for new vorbis libs

* Tue Jun 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-1mdk
- freeamp is dead, viva el zinf
- new release
- s/(cd XYZ; tar)/tar -C XYZ/

* Wed May 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-4mdk
- rebuild againt new libstdc++
- enable cmdline ( will see... )

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-3mdk
- rebuild against new libmusicbrainz
- sadly we need to disable-alsa until freeamp is ported to 0.9 alsa

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-2mdk
- icon

* Thu Dec 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-2mdk
- rebuild

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.1.0
	- gcc 2.96
	- fixed buildrequires

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.1mdk
- new release
- spec cleaning
- readd ALSA support
- SMP build if availlable

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.8-1mdk
- updated to 2.0.8

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-2mdk
- add menu entry

* Sat Aug 12 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.7-1mdk
- rebuilt using macros

* Sat Jun 17 2000 John Johnson <jjohnson@linux-mandrake.com>
- Made mandrake rpm
